﻿.access-code__title-column {
    padding-top: 10px;
}

.access-code__title {
    font-family: SourceSans3-Semibold;
    font-size: 20px;
    font-weight: 600;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.25;
    letter-spacing: normal;
    text-align: center;
    color: #262626;
}

.access-code__description {
    font-family: SourceSans3-Regular;
    font-size: 16px;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.5;
    letter-spacing: normal;
    color: #323333;
}

.access-code__input {
    padding-left: 16px;
    padding-right: 16px;

    font-family: SourceSans3-Regular;
    font-size: 16px;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.5;
    letter-spacing: normal;
    color: #323333;
}

.access-code__error-message {
    font-family: SourceSans3-Regular;
    font-size: 16px;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.5;
    letter-spacing: normal;
    color: red;
}

.access-code__missing-code-row {
    padding-bottom: 24px;
}

.access-code__missing-code-contact-text {
    font-family: SourceSans3-Regular;
    font-size: 12px;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.25;
    letter-spacing: normal;
    text-align: center;
    color: #262626;
}

.access-code__confirm-button.invalid {
    opacity: 0.2;
}

/* Desktop and Tablet */
@media screen and (min-width: 576px) {
    .access-code-drawer .drawer__contents {
        min-width: 532px;
        width: 532px;
        max-width: 532px;

        min-height: auto;
        height: auto;
        max-height: auto;
    }

    .access-code__contents-container {
        padding-left: 17px;
        padding-right: 17px;
    }

    .access-code__input-row {
        margin-bottom: 8px;
    }

    .access-code__input {
        width: 468px;
        height: 36px;
        border-radius: 2px;
        border: solid 1px #999999;
        background-color: #ffffff;
    }

    .access-code__input::placeholder {
        color: transparent;
    }

    .access-code__flow-buttons {
        padding-bottom: 28px;
    }

    .access-code__confirm-button {
        width: 100px;
        height: 44px;
        border-radius: 4px;
        background-color: #026cdf;
    }
}

/* Mobile */
@media screen and (max-width: 575px) {
    .access-code-drawer .drawer-header-row {
        padding-bottom: 4px;
        height: auto;
    }

    .access-code__description-row {
        text-align: center;
        padding-left: 17px;
        padding-right: 17px;
    }

    .access-code__description {
        font-family: SourceSans3-Regular;
        font-size: 14px;
        font-weight: normal;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.43;
        letter-spacing: normal;
        text-align: center;
        color: #757575;
    }

    .access-code__input-row {
        margin-bottom: 85px;
        text-align: center;
    }

    .access-code__input {
        width: 343px;
        height: 36px;
        border-radius: 2px;
        border: solid 1px #999999;
        background-color: #ffffff;
    }

    .access-code__input::placeholder {
        font-family: SourceSans3-Regular;
        font-size: 14px;
        font-weight: normal;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.29;
        letter-spacing: normal;
        color: #bfbfbf;
    }

    .access-code__confirm-button {
        width: 343px;
        height: 44px;
        border-radius: 4px;
        background-color: #026cdf;
    }
}